Subject: bash broken with cygwin 1.3.20?
From: Roland Schwingel <[email-masked]>
To: [email-masked]
Date: Thu, 13 Feb 2003 12:19:37 +0100

Hi...

A few days ago I updated to 1.3.20. Everything was fine till now...
(All cygwin packages are up to date)

I tried to recompile gcc (the one from FSF). I am having problems with
running configure...

I am on local drive. Imagine /cygdrive/c/temp.
Image the gcc sources to be in the subfolder gcc-3.2.1
As suggested by the buildmanual of gcc
I do

mkdir gcc-3.2.1_obj
cd gcc-3.2.1_obj
../gcc-3.2.1/configure <whatever options>
It fails with
*** "Can't find configure.in.  Try using --srcdir=some_dir"
When trying it with --srcdir=../gcc-3.2.1 it gets a bit further and then 
complains
to be not able to find configuration package of gcc in
/cygdrive/c/temp/gcc-3.2.1_objc/../gcc-3.2.1

When specifying --srcdir=/cygdrive/c/temp/gcc-3.2.1
I get the same error with a different location
(/cygdrive/c/temp/gcc-3.2.1_objc//cygdrive/c/temp/gcc-3.2.1)

When switching back to 1.3.19 (just that module/package nothing else)
everything is fine again and works as expected (I donot even need to
use --srcdir)

Roland

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/